QGIS Application - Bug report #9388
rpad doesn't work
2014-01-20 09:18 AM - Tobias Schneider

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 17986
Description

When | try to use the "rpad" function to label point features, it doesn't add any padding symbols. The function "lpad" works perfectly fine.

Setup:
Ubuntu 13.10 64bit
QGIS 2.0.1

Related issues:
Related to QGIS Application - Bug report # 9158: Ipad() and rpad() functions ... Closed 2013-12-03

History

#1 - 2014-01-20 09:22 AM - Tobias Schneider

Also posted this here previously: http://gis.stackexchange.com/questions/83338/how-to-format-labels-with-leading-zeroes

#2 - 2014-01-20 01:36 PM - Giovanni Manghi

- OS version deleted (13.10 64 bit)

- Category set to Labelling

- Target version set to Future Release - High Priority
- Operating System deleted (Ubuntu)

#3 - 2014-01-20 02:57 PM - Nathan Woodrow

What does: rpad('1',3,'0") || ' ' || lpad('1", 3, '0") give you?

This is my output in 2.0: 001 100 and in master 100 001

#4 - 2014-01-20 11:36 PM - Tobias Schneider

Nathan Woodrow wrote:

What does: rpad('1',3,'0') || ' ' || Ipad('1’, 3, '0') give you?

This is my output in 2.0: 001 100 and in master 100 001

| also get 001 100
http://gis.stackexchange.com/questions/83338/how-to-format-labels-with-leading-zeroes

and when | switch the commands to Ipad('1',3,'0") || ' ' || rpad('1", 3, '0")
I get 100 001

Sorry | don't know what "in master" means.

#5 - 2014-01-20 11:52 PM - Tobias Schneider
- File QGIS_Screenshot_rpad.png added
- % Done changed from 0 to 100

Ok now | feel like an idiot. | had "number formatting" switched on (because | thought it is a number). That is what took away the leading zeros. | switched
the number formatting of and now Ipad and rpad work. Using Ipad('1',3,'0") || ' ' || rpad('1", 3, '0') probably did an override on the number formatting and that
why that worked fine.

#6 - 2014-01-21 12:05 AM - Nathan Woodrow
- Resolution set to invalid

- Status changed from Open to Closed

Files

QGIS_Screenshot_rpad.png 358 KB 2014-01-20 Tobias Schneider
